# Account Binding Inquiry

This is one of the services from the registration module used to validate whether an account already exists or not in Finnet.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

```
Service Code: 08
```

| Environment | Method | URL                                                               |
| ----------- | ------ | ----------------------------------------------------------------- |
| Development | POST   | <https://snapstag.finnet.co.id/v1.0/registration-account-inquiry> |
| Production  | POST   | <https://snap.finnet.co.id/v1.0/registration-account-inquiry>     |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name           | Type                                                                    | Mandatory | Min Length | Max Length | Description            |
| -- | -------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------------- |
| 1  | additionalInfo | [Object](/api-reference/appendix/json-object/additional-info-object.md) | M         | 1          | 1          | Additional Information |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "additionalInfo": {
    "phoneNo": "080012341234"
  }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                                    | Mandatory | Min Length | Max Length | Description                                   |
| -- | --------------- | ----------------------------------------------------------------------- | --------- | ---------- | ---------- | --------------------------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md)       | M         | 1          | 7          | BI SNAP Response Code.                        |
| 2  | responseMessage | String                                                                  | M         | 1          | 150        | BI SNAP Response Message.                     |
| 3  | additionalInfo  | [Object](/api-reference/appendix/json-object/additional-info-object.md) | M         | 1          | 1          | Fields that are not mentioned in the contract |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000800",
  "responseMessage": "Request has been processed successfully",
  "additionalInfo": {
    "accountStatus": "LINKED"
  }
}
```

### Response Code & Message <a href="#response-code--message" id="response-code--message"></a>

The table below lists response codes and messages for the Account Binding Inquiry API.

| No | HTTP Code | Code    | Message                                       |
| -- | --------- | ------- | --------------------------------------------- |
| 1  | 200       | 2000800 | Successful                                    |
| 2  | 400       | 4000800 | Bad request                                   |
| 3  | 400       | 4000801 | Invalid field format {field}                  |
| 4  | 400       | 4000802 | Invalid mandatory field {field}               |
| 5  | 401       | 4010801 | Invalid token (B2B)                           |
| 6  | 401       | 4010800 | Unauthorised. \[Reason]                       |
| 7  | 403       | 4030801 | Feature not allowed                           |
| 8  | 403       | 4030804 | Activity count limit exceeded                 |
| 9  | 404       | 4040808 | Invalid merchant                              |
| 10 | 404       | 4040811 | Invalid. PhoneNo Is Not Registered            |
| 11 | 409       | 4090800 | Conflict \[PhoneNo Registered But Not Binded] |
| 12 | 500       | 5000800 | General error                                 |
| 13 | 504       | 5040800 | Timeout                                       |
| 14 | 404       | 404xx11 | \[Call Account Creation]                      |
| 15 | 404       | 409xx00 | \[Call Account Binding]                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-money/linkage/registration/account-binding-inquiry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
